Bug 199552 - [MAINTAINER] graphics/qgis: Reactivate server functionality
Summary: [MAINTAINER] graphics/qgis: Reactivate server functionality
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Brad Davis
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-04-19 20:03 UTC by Rainer Hurling
Modified: 2015-05-02 20:42 UTC (History)
2 users (show)

See Also:


Attachments
patch QGIS to reactivate server (3.49 KB, patch)
2015-04-19 20:03 UTC, Rainer Hurling
koobs: maintainer-approval+
Details | Diff
Poudriere log: FBSD 10.1 amd64 - default options enabled (221.87 KB, application/zip)
2015-04-19 20:05 UTC, Rainer Hurling
no flags Details
Poudriere log: FBSD 10.1 amd64 - all options enabled (238.25 KB, application/zip)
2015-04-19 20:06 UTC, Rainer Hurling
no flags Details
Poudriere log: FBSD 9.3 amd64 - default options enabled (224.66 KB, application/zip)
2015-04-19 20:07 UTC, Rainer Hurling
no flags Details
Poudriere log: FBSD 9.3 amd64 - all options enabled (240.55 KB, application/zip)
2015-04-19 20:08 UTC, Rainer Hurling
no flags Details
Poudriere log: FBSD 8.4 i386 - default options + SERVER enabled (227.37 KB, application/zip)
2015-04-19 20:09 UTC, Rainer Hurling
no flags Details
Poudriere log: FBSD 8.4 i386 - default options enabled (222.10 KB, application/zip)
2015-04-19 20:33 UTC, Rainer Hurling
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling 2015-04-19 20:03:04 UTC
Created attachment 155747 [details]
patch QGIS to reactivate server

Over the last weeks there were malfunctions of the QGIS server.

Jim Keener pointed out, that some changes in the naming scheme of QGIS sources are responsible. I must have missed this. Many thanks to Jim :)


From the changelog [1] of QGIS sources from 2014-11-28:
* move src/mapserver to src/server (IMHO better name and in
  sync with python/server)
* rename cmake option WITH_MAPSERVER to WITH_SERVER
* rename define MAPSERVER_HAVE_PYTHON_PLUGINS to
  HAVE_SERVER_PYTHON_PLUGINS


While here, add some more changes to the port:
- new GITHUB format
- update distfiles
- rename MAPSERVER to SERVER
- upgrade pkg-plist


Tested with Poudriere for the following FreeBSD versions: HEAD (amd64), 10.1 (amd64), 9.3 (amd64), 8.4 (i386). In all cases (1) with only default options enabled and (2) with all (including SERVER) options enabled.

Output of 'portlint -A' is ok.
Comment 1 Rainer Hurling 2015-04-19 20:05:49 UTC
Created attachment 155748 [details]
Poudriere log: FBSD 10.1 amd64 - default options enabled
Comment 2 Rainer Hurling 2015-04-19 20:06:37 UTC
Created attachment 155749 [details]
Poudriere log: FBSD 10.1 amd64 - all options enabled
Comment 3 Rainer Hurling 2015-04-19 20:07:45 UTC
Created attachment 155750 [details]
Poudriere log: FBSD 9.3 amd64 - default options enabled
Comment 4 Rainer Hurling 2015-04-19 20:08:27 UTC
Created attachment 155751 [details]
Poudriere log: FBSD 9.3 amd64 - all options enabled
Comment 5 Rainer Hurling 2015-04-19 20:09:47 UTC
Created attachment 155752 [details]
Poudriere log: FBSD 8.4 i386 - default options + SERVER enabled
Comment 6 Rainer Hurling 2015-04-19 20:33:39 UTC
Created attachment 155753 [details]
Poudriere log: FBSD 8.4 i386 - default options enabled
Comment 7 commit-hook freebsd_committer 2015-05-02 03:52:22 UTC
A commit references this bug:

Author: brd
Date: Sat May  2 03:52:11 UTC 2015
New revision: 385165
URL: https://svnweb.freebsd.org/changeset/ports/385165

Log:
  Fix graphics/qgis server functionality and rename the option to chase upstream.

  Clean up GITHUB functionality while here.

  PR:		199552
  Submitted by:	Rainer Hurling <rhurlin@gwdg.de>
  Approved by:	bdrewery (mentor)

Changes:
  head/UPDATING
  head/graphics/qgis/Makefile
  head/graphics/qgis/distinfo
  head/graphics/qgis/pkg-plist
Comment 8 Brad Davis freebsd_committer 2015-05-02 03:55:36 UTC
Committed, thanks for your work!
Comment 9 Rainer Hurling 2015-05-02 06:43:29 UTC
Thanks for committing the patch.

Unfortunately, there is a problem with pkg-plist now.

Other than complained by portlint -AC, qgis.g.info is not an info file. Instead, it is the QGIS companion piece to the GRASS command g.info.

Because of this, it is necessary to readd qgis.g.info into pkg-plist again:


--- pkg-plist.orig	2015-05-02 07:30:39.622641000 +0200
+++ pkg-plist	2015-05-02 07:53:36.359217000 +0200
@@ -550,6 +550,7 @@
 lib/qgis/crssync
 %%GRASS%%lib/qgis/grass/bin/qgis.g.browser
 %%GRASS%%lib/qgis/grass/modules/qgis.d.rast
+%%GRASS%%lib/qgis/grass/modules/qgis.g.info
 lib/qgis/plugins/libcoordinatecaptureplugin.so
 lib/qgis/plugins/libdelimitedtextprovider.so
 lib/qgis/plugins/libdxf2shpconverterplugin.so
Comment 10 commit-hook freebsd_committer 2015-05-02 20:42:51 UTC
A commit references this bug:

Author: brd
Date: Sat May  2 20:42:42 UTC 2015
New revision: 385218
URL: https://svnweb.freebsd.org/changeset/ports/385218

Log:
  Fix pkg-plist.. portlint isn't always correct about .info files.

  PR:		199552
  Submitted by:	Rainer Hurling <rhurlin@gwdg.de>
  Approved by:	bdrewery (mentor)

Changes:
  head/graphics/qgis/Makefile
  head/graphics/qgis/pkg-plist